Debian Bug report logs - #628989
haskell-wai-extra: useless package description

version graph

Package: src:haskell-wai-extra; Maintainer for src:haskell-wai-extra is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Ansgar Burchardt <ansgar@debian.org>

Date: Thu, 2 Jun 2011 19:48:04 UTC

Severity: important

Found in version haskell-wai-extra/0.2.4.2-1

Fixed in version haskell-wai-extra/0.4.2-1

Done: Clint Adams <clint@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#628989; Package src:haskell-wai-extra. (Thu, 02 Jun 2011 19:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Thu, 02 Jun 2011 19:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: submit@bugs.debian.org
Subject: haskell-wai-extra: useless package description
Date: Thu, 02 Jun 2011 21:46:04 +0200
Source: haskell-wai-extra
Version: 0.2.4.2-1
Severity: important

The package description for haskell-wai-extra reads

 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.

It includes no information about this specific package at all.  Please
write something more informative there.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#628989; Package src:haskell-wai-extra. (Sat, 04 Jun 2011 11:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 04 Jun 2011 11:27:13 GMT) Full text and rfc822 format available.

Message #10 received at 628989@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Clint Adams <clint@debian.org>
Cc: debian-haskell@lists.debian.org, 628988@bugs.debian.org, 628989@bugs.debian.org
Subject: Re: haskell-mtlparse in the DHG
Date: Sat, 04 Jun 2011 13:23:34 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 04.06.2011, 04:34 +0000 schrieb Clint Adams:
> On Sat, Jun 04, 2011 at 12:00:30AM +0200, Joachim Breitner wrote:
> > Also (in case you are not subscribe to pkg-haskell-maintainers, which
> > you probably should, and while you are at it, pkg-haskell-commits is
> > also useful), there are two bugs reported against your recently uploaded
> > packages:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628988
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628989
> 
> The descriptions are from Hackage.  I have nothing better to offer
> since I don't really know what they do.

hmm, I’d say it’s part of the job as a Debian maintainer to (at least
roughly) know what the package does, or to find it out :-). In these
cases it helps to look around and read on related packages (e.g. wai for
wai-extra).

I came up with something and pushed it to the Darcs repo and marked the
bugs as pending.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 11:27:15 GMT) Full text and rfc822 format available.

Reply sent to Clint Adams <clint@debian.org>:
You have taken responsibility. (Sat, 03 Sep 2011 03:09:04 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@debian.org>:
Bug acknowledged by developer. (Sat, 03 Sep 2011 03:09:04 GMT) Full text and rfc822 format available.

Message #17 received at 628989-close@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 628989-close@bugs.debian.org
Subject: Bug#628989: fixed in haskell-wai-extra 0.4.2-1
Date: Sat, 03 Sep 2011 03:07:40 +0000
Source: haskell-wai-extra
Source-Version: 0.4.2-1

We believe that the bug you reported is fixed in the latest version of
haskell-wai-extra, which is due to be installed in the Debian FTP archive:

haskell-wai-extra_0.4.2-1.debian.tar.gz
  to main/h/haskell-wai-extra/haskell-wai-extra_0.4.2-1.debian.tar.gz
haskell-wai-extra_0.4.2-1.dsc
  to main/h/haskell-wai-extra/haskell-wai-extra_0.4.2-1.dsc
haskell-wai-extra_0.4.2.orig.tar.gz
  to main/h/haskell-wai-extra/haskell-wai-extra_0.4.2.orig.tar.gz
libghc-wai-extra-dev_0.4.2-1_amd64.deb
  to main/h/haskell-wai-extra/libghc-wai-extra-dev_0.4.2-1_amd64.deb
libghc-wai-extra-doc_0.4.2-1_all.deb
  to main/h/haskell-wai-extra/libghc-wai-extra-doc_0.4.2-1_all.deb
libghc-wai-extra-prof_0.4.2-1_amd64.deb
  to main/h/haskell-wai-extra/libghc-wai-extra-prof_0.4.2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628989@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <clint@debian.org> (supplier of updated haskell-wai-extra package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 02 Sep 2011 13:31:19 -0400
Source: haskell-wai-extra
Binary: libghc-wai-extra-dev libghc-wai-extra-prof libghc-wai-extra-doc
Architecture: source all amd64
Version: 0.4.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Clint Adams <clint@debian.org>
Description: 
 libghc-wai-extra-dev - some basic WAI handlers and middleware
 libghc-wai-extra-doc - some basic WAI handlers and middleware; documentation
 libghc-wai-extra-prof - some basic WAI handlers and middleware; profiling libraries
Closes: 628989
Changes: 
 haskell-wai-extra (0.4.2-1) unstable; urgency=low
 .
   [ Joachim Breitner ]
   * Expand description (Closes: #628989)
 .
   [ Clint Adams ]
   * New upstream version.
Checksums-Sha1: 
 d1013de52f4f5cdafb3ef30ae7c5841f9b1d0cad 2939 haskell-wai-extra_0.4.2-1.dsc
 1da2cc48daea23c81026e559782a211071951891 11330 haskell-wai-extra_0.4.2.orig.tar.gz
 56e49502242c2b07fa4b9ec807c133199ee8e959 2290 haskell-wai-extra_0.4.2-1.debian.tar.gz
 580cff37e3bdd0e42b5330e4a6287e77220e9b2d 51786 libghc-wai-extra-doc_0.4.2-1_all.deb
 7f60cd358bc6dd2d55419f4716fe8bae3b089a71 190132 libghc-wai-extra-dev_0.4.2-1_amd64.deb
 16c214f8f346117c1ba1d11d7790517025e98d60 197852 libghc-wai-extra-prof_0.4.2-1_amd64.deb
Checksums-Sha256: 
 b88b63b66bef7b3631df170b3ed93ed76c17b3986ab43307405ff992911071f0 2939 haskell-wai-extra_0.4.2-1.dsc
 3e9479854ef9e5d6f7ec177cd096ff82ba96e3fb6722199acb24f8aab2d44dcc 11330 haskell-wai-extra_0.4.2.orig.tar.gz
 1295a549a7aa1044eef7ffc1667c3e8e6152aca1f12537a2337b82ad6b95efaa 2290 haskell-wai-extra_0.4.2-1.debian.tar.gz
 0fa3a3549bf472998b8f19c9a11208e5ae9796cc82b792b7c6e861e68357b542 51786 libghc-wai-extra-doc_0.4.2-1_all.deb
 16a4c883803c306065283529567fc1e747ece2cee352032690a9fc4a8247a933 190132 libghc-wai-extra-dev_0.4.2-1_amd64.deb
 4f50a424a76b74c0638778fd286c3ab756e994993987a99a7a3c8b166137a86e 197852 libghc-wai-extra-prof_0.4.2-1_amd64.deb
Files: 
 f30b824a4c8d68b462b03d60c492c2db 2939 haskell extra haskell-wai-extra_0.4.2-1.dsc
 d8baa91919872b7972bf1ede3f2d69b7 11330 haskell extra haskell-wai-extra_0.4.2.orig.tar.gz
 e42eaed02790f1516c90c87c14cdbf5f 2290 haskell extra haskell-wai-extra_0.4.2-1.debian.tar.gz
 dd1d1344c9fe0a5034fd38c7e2ea2a66 51786 doc extra libghc-wai-extra-doc_0.4.2-1_all.deb
 5ee61d954f67abf5ce64ba5a87ceeefc 190132 haskell extra libghc-wai-extra-dev_0.4.2-1_amd64.deb
 bbb3cd06cb0d22dad7dcc127458fa885 197852 haskell extra libghc-wai-extra-prof_0.4.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJOYZEVAAoJEFWSMx4ZnTioD6kP/A1ZQuFzkJqomVCRlyWT3gNo
WDCbcZRJFIwTcU2wDdWUoKRC/Nh2vzd+7GBNHNwoRQ3wW3p9yG4oXzh8MXZKPa+Z
R/eUesFdj28FkfFICd1BX3EGJlLn193wDgMP/9B+EcR4tVgGp/cnLgLV9khRxm/l
6pdKwH8NP0B4AgYUlCNBXePuWfUFywCTK4/DaaRgK6kreq/3Zz0jwhT5vBTbYIL2
c06AClG07vDEhy9OkOKkrUnzoNHl29J0E2LtGfZjdXFSRmDAKaj9hMiEMvFuyVJO
v5yy46IETn0hWdHcf6iBYcwjJ8SCJefqlecROhR0BwEOXLYa83rg1Ow7xGiZplGd
GvXXfr9vMUt9EBe4XcABOLnVSoVHDoJ2whL1bZbbHRXWKFle32LpP97nd+7fmKDz
BNNjqClDVh+z3fDCo8SRwhHAWeP5A1qxk0mWNLAZ1T7w0fH3L+JQHzPBEWDPUbXv
TBGHK1RGW4I6AeM502v763sSjBu6MT3Eq0V96VASxZPkvzus2Rd2cIKSqVcBGeZn
NrFuZD3zIrP2E/Y6ujrxB/b8v8cR8i7cJX3LHdbeN9puEg+3BCLl3zcRJOlQnCBF
kuGNBJSCPPxvce30XyIG2x899TpJjzKgizz+1EvSj/pBtJwDaTadKP6lbWp+mLaQ
//LnlV9egse8Szsr7ZHP
=nKms
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Jan 2012 07:37:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:47:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.